import { UiMode } from './theme';
import { PropsWithChildren } from 'react';
import { PaletteMode } from '@mui/material';

export declare const useUiMode: () => {
    mode: UiMode;
    setMode: (mode: UiMode) => void;
    appliedMode: PaletteMode;
};
export declare const ColorModeThemeProvider: {
    ({ children }: PropsWithChildren<any>): import("react/jsx-runtime").JSX.Element;
    displayName: string;
};
